Page MenuHomePhabricator

Metrics Meeting presentation on Wikipedia Search
Closed, ResolvedPublic

Description

I'd like us to present to the company about where we are succeeding and where we are failing our users through search. This will be a precursor to our Wikimania talk [1].

Specifically I want to present on

  • Search:Schema KPI's results for desktop, mobile web, and apps
  • How we define search quality
  • Our thoughts on next steps and how people can join the discussion

Deadlines:

  • June 11th is the Metric meeting
  • June 12th is our back up where we present at a lunch meeting if no time available in metrics meeting
  • June 19th is a deadline to incorporate any additional feedback and continue progress towards Wikimania presentation
  • July 10th is the deadline for final draft of Wikimania presentation

[1] - https://wikimania2015.wikimedia.org/wiki/Submissions/Are_we_failing_our_users_when_they_search_Wikipedia%3F

Event Timeline

Tfinc raised the priority of this task from to Needs Triage.
Tfinc updated the task description. (Show Details)
Tfinc added a project: Discovery.
Tfinc added a subscriber: Tfinc.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 10:16 PM
Deskana added a subscriber: Deskana.Jun 3 2015, 2:33 PM

Since this is aimed at being presented at Metrics, I'm assuming the audience is nontechnical, with some background in the Wikimedia movement.

I've made a presentation template, which can be the deliverable for this task: https://docs.google.com/presentation/d/1j0r9l6McPwDxs0XOA3LxZ-GGlBeOTczwNTNCHTrGGHM/edit#slide=id.p

Some things I'd like to identify, which hopefully @Tfinc can clarify:

  • Who's going to take the lead on putting the presentation together?
  • Who's going to present it at Metrics?

I'm happy to do both of these things. I like doing Metrics presentations. :-)

Deskana triaged this task as Normal priority.Jun 3 2015, 3:31 PM
Wwes updated the task description. (Show Details)Jun 3 2015, 3:48 PM
Wwes set Security to None.

@Deskana i'm happy to provide the general structure and kick it off and have you fill in for as much as you want. Let's meet this week to discuss. How about early Fri?

@Tfinc I'll be on a plane all Friday. It'll have to be early next week.

@Deskana, k. get Sarah to put something on the calendar for Monday then

This is now scheduled for Monday 6/15 @ 12:00

I removed a blocking task that (empirically) was not really blocking. With that, I think this one is ready to resolve. There is no "Done" column in the Discovery product backlog workboard, so I just moved it to the top of the backlog to get Dan's attention, where presumably he can resolve it.

Deskana closed this task as Resolved.Jun 23 2015, 8:29 PM
Deskana claimed this task.

We did it!